/****************************************************************************
 *
 * Copyright (c) 2011-2012, EBM WebSourcing
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 *
 *****************************************************************************/
 
package javax.jbi.component;

import static org.mockito.Mockito.mock;

import javax.jbi.messaging.MessageExchange;
import javax.jbi.servicedesc.ServiceEndpoint;

import org.junit.Test;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentFragment;

/**
 * @author Olivier Fabre - EBM WebSourcing
 */
public class ComponentTest {

    private ServiceEndpoint mockServiceEndpoint = mock(ServiceEndpoint.class);

    private Component mockComponent = mock(Component.class);

    private MessageExchange mockMessageExchange = mock(MessageExchange.class);

    private DocumentFragment mockDocumentFragment = mock(DocumentFragment.class);

    public ComponentLifeCycle getLifeCycle() {
        return mockComponent.getLifeCycle();
    }

    @Test
    public void testGetServiceDescription() {
        @SuppressWarnings("unused")
        Document document = mockComponent.getServiceDescription(mockServiceEndpoint);
    }

    @Test
    public void testGetServiceUnitManager() {
        @SuppressWarnings("unused")
        ServiceUnitManager serviceUnitManager = mockComponent.getServiceUnitManager();
    }

    @Test
    public void testIsExchangeWithConsumerOkay() {
        @SuppressWarnings("unused")
        boolean booleanReturn = mockComponent.isExchangeWithConsumerOkay(mockServiceEndpoint,
                mockMessageExchange);
    }

    @Test
    public void testIsExchangeWithProviderOkay() {
        @SuppressWarnings("unused")
        boolean booleanReturn = mockComponent.isExchangeWithProviderOkay(mockServiceEndpoint,
                mockMessageExchange);
    }

    @Test
    public void testResolveEndpointReference() {
        @SuppressWarnings("unused")
        ServiceEndpoint serviceEndpoint = mockComponent
                .resolveEndpointReference(mockDocumentFragment);
    }

}
