/****************************************************************************
 *
 * Copyright (c) 2011-2012, EBM WebSourcing
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 *
 *****************************************************************************/
 
package javax.jbi.messaging;

import junit.framework.Assert;

import org.junit.Test;

/**
 * @author Olivier Fabre - EBM WebSourcing
 */
public class ExchangeStatusTest {

    @Test
    public void testConstants() {
        Assert.assertEquals(ExchangeStatus.ACTIVE.toString(), "Active");
        Assert.assertEquals(ExchangeStatus.ERROR.toString(), "Error");
        Assert.assertEquals(ExchangeStatus.DONE.toString(), "Done");

        Assert.assertEquals(ExchangeStatus.ACTIVE, ExchangeStatus.valueOf("Active"));
        Assert.assertEquals(ExchangeStatus.ERROR, ExchangeStatus.valueOf("Error"));
        Assert.assertEquals(ExchangeStatus.DONE, ExchangeStatus.valueOf("Done"));
    }

    @Test
    public void testHashCode() {
        Assert.assertEquals(ExchangeStatus.ACTIVE.hashCode(), "Active".hashCode());
        Assert.assertEquals(ExchangeStatus.ERROR.hashCode(), "Error".hashCode());
        Assert.assertEquals(ExchangeStatus.DONE.hashCode(), "Done".hashCode());
    }

}
