/****************************************************************************
 *
 * Copyright (c) 2011-2012, EBM WebSourcing
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 *
 *****************************************************************************/
 
package javax.jbi.servicedesc;

import javax.jbi.ApiChecker;
import javax.xml.namespace.QName;
import org.junit.Test;
import org.mockito.Mockito;
import org.w3c.dom.DocumentFragment;

/**
 * @author Olivier Fabre - EBM WebSourcing
 */
public class ServiceEndpointTest extends ApiChecker {

    ServiceEndpoint mockServiceEndpoint = Mockito.mock(ServiceEndpoint.class);

    @Test
    public void testGetAsReference() {
        @SuppressWarnings("unused")
        DocumentFragment documentFragment = mockServiceEndpoint.getAsReference(new QName("foo"));
    }

    @Test
    public void testGetEndpointName() {
        @SuppressWarnings("unused")
        String string = mockServiceEndpoint.getEndpointName();
    }

    @Test
    public void testGetInterfaces() {
        @SuppressWarnings("unused")
        QName[] qNames = mockServiceEndpoint.getInterfaces();
    }

    @Test
    public void testGetServiceName() {
        @SuppressWarnings("unused")
        QName qName = mockServiceEndpoint.getServiceName();
    }

    @Override
    protected Class<?> getTestedApiClass() {
        return ServiceEndpoint.class;
    }

}
